# $Revision: 1.18 $, $Date: 2004/07/04 13:38:13 $
Summary:	An addictive action-puzzle game involving bouncing penguins
Summary(pl):	Wcigajca gra zrcznociowo-amigwkowa z pingwinkami
Name:		icebreaker
Version:	1.9.8
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://www.mattdm.org/icebreaker/1.9.x/%{name}-%{version}.tgz
# Source0-md5:	34fee91bc647a64eec6756eb5602aef8
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.mattdm.org/icebreaker/
BuildRequires:	SDL_mixer-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
So, uh, there's a bunch of penguins on an iceberg in Antarctica. You
have been selected to catch them so they can be shipped to Finland,
where they are essential to a secret plot for world domination.

%description -l pl
Hmm... jest caa masa pingwinw na grze lodowej na Antarktyce.
Zostae wybrany, aby je zapa, eby mogy zosta dostarczone do
Finlandii, gdzie s nieodzowne dla tajnego spisku majcego na celu
dominacj nad wiatem.

%prep
%setup -q

%build
%{__make} CFLAGS="%{rpmcflags} `sdl-config --cflags` \
		-DDATAPREFIX=\\\"%{_datadir}/icebreaker\\\"\
		-DHISCOREPREFIX=\\\"/var/games\\\"" \
	LDFLAGS="`sdl-config --libs`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/icebreaker,/var/games} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

install *.wav *.bmp *.ibt $RPM_BUILD_ROOT%{_datadir}/icebreaker
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install icebreaker $RPM_BUILD_ROOT%{_bindir}

touch $RPM_BUILD_ROOT/var/games/icebreaker.scores

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO README.themes
%attr(2755,root,games) %{_bindir}/*
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_datadir}/icebreaker
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/icebreaker.scores

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icebreaker.spec,v $
Revision 1.18  2004/07/04 13:38:13  havner
- applnk -> vfolders

Revision 1.17  2003/05/30 13:06:49  misi3k
- updated to 1.9.8

Revision 1.16  2003/05/28 12:59:06  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:48:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.13  2002/07/12 16:44:03  kloczek
- cosmetics.

Revision 1.12  2002/07/12 11:28:56  krolik
new version

Revision 1.11  2002/06/07 12:35:34  wolf
- 1.9.6

Revision 1.10  2002/06/02 08:22:15  kloczek
- changed Icon format to png,
- desktop file moved to Games/Arcade/.

Revision 1.9  2002/06/02 08:16:59  kloczek
- removed redundant BuildRequires: SDL-devel,
- cosmetics.

Revision 1.8  2002/06/01 09:08:58  wolf
- updated to 1.9.5

Revision 1.7  2002/04/25 16:35:18  arturs
fixed a small typo

Revision 1.6  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/30 08:27:38  qboosh
- adapterized

Revision 1.2  2001/08/23 16:51:31  filon
- changed: make -> %%{__make}

Revision 1.1  2001/07/21 11:00:48  jajcus
- original spec rewritten in PLD's way
